/*  
 *    SCCS ID: %Z%%M% %I% %E% SST
 *
 *    Copyright (c) 1992-1993 Mark Soloway.  All rights reserved.
 *    See SST_LEGAL_NOTICE file for terms of the license. 
 */  
  
#ifndef _OBJECT_TREE_H
#define _OBJECT_TREE_H

#include "CSTree.h"

class ObjectTree : public CSTree {
public:
  ObjectTree ()
    {
      selectedNodeID = (char *)NULL;
    }

  ~ObjectTree ()
    {
      if (selectedNodeID) delete selectedNodeID;
    }

  void setSelectedNodeID (const char *node_id)
    {
      if (selectedNodeID) delete selectedNodeID;

      selectedNodeID = (node_id ?
		        strcpy (new char [strlen (node_id) + 1], node_id) :
			(char *)NULL);
    }

  char *getSelectedNodeID () const
    {
      return selectedNodeID;
    }

private:
  char *selectedNodeID;
};

#endif
